Skip to content
Permalink
Browse files

Pillow build dependencies

Signed-off-by: Chris Warrick <kwpolska@gmail.com>
  • Loading branch information
Kwpolska committed Jun 11, 2016
1 parent b0f7415 commit 0c2586b536097209e9cea5c52a273b2e460f4bc2
Showing with 6 additions and 3 deletions.
  1. +1 −1 state_data.json
  2. +5 −2 stories/getting-started.html
@@ -1,3 +1,3 @@
{
"last_deploy": "2016-06-11T10:16:54.350844"
"last_deploy": "2016-06-11T16:30:51.120624"
}
@@ -126,22 +126,25 @@ <h4 class="panel-title"><a class="collapsed" role="button" data-toggle="collapse
</div>
<div class="panel panel-default">
<div class="panel-heading" role="tab" id="headingLxmlErrors">
<h4 class="panel-title"><a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseLxmlErrors" aria-expanded="false" aria-controls="collapseLxmlErrors"><i class="fa fa-exclamation-triangle"></i> Error: missing libxml/libxslt</a></h4>
<h4 class="panel-title"><a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseLxmlErrors" aria-expanded="false" aria-controls="collapseLxmlErrors"><i class="fa fa-exclamation-triangle"></i> Error: libxml/libxslt or Pillow errors</a></h4>
</div>
<div id="collapseLxmlErrors" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingLxmlErrors">
<div class="panel-body">
<p>If you get errors about various files missing while compiling <code class="gs-code">lxml</code> or <code class="gs-code">Pillow</code>, you must install headers for the <code class="gs-code">libxml</code>, <code class="gs-code">libxslt</code> and <code class="gs-code">zlib</code> libraries, like so:</p>
<p>If you get errors about various files missing while compiling <code class="gs-code">lxml</code> or <code class="gs-code">Pillow</code>, you must install headers for the <code class="gs-code">libxml</code>, <code class="gs-code">libxslt</code> and <code class="gs-code">zlib</code> libraries. If you have issues installing Pillow, you might need libraries for certain image formats. Try those commands:</p>
<p>Debian systems:</p>
<pre class="gs-console">
<code># <span class="gs-root">sudo apt-get install libxml2-dev libxslt1-dev zlib1g-dev</span></code>
<code># <span class="gs-root">sudo apt-get build-dep python3-lxml python3-pil</span></code>
</pre>
<p>Fedora 22+:</p>
<pre class="gs-console">
<code># <span class="gs-root">sudo dnf install libxml2-devel libxslt-devel zlib-devel</span></code>
<code># <span class="gs-root">sudo dnf builddep python3-lxml python3-pillow</span></code>
</pre>
<p>Red Hat/CentOS/Fedora 21:</p>
<pre class="gs-console">
<code># <span class="gs-root">sudo yum install libxml2-devel libxslt-devel zlib-devel</span></code>
<code># <span class="gs-root">sudo yum builddep python3-lxml python3-pillow</span></code>
</pre>
</div>
</div>

0 comments on commit 0c2586b

Please sign in to comment.
You can’t perform that action at this time.